OpenMesh::MergeTraits< _Traits1, _Traits2 > Struct Template Reference

Helper class to merge two mesh traits. More...

`#include <OpenMesh/Core/Mesh/Traits.hh>`

## Detailed Description

### template<class _Traits1, class _Traits2>
struct OpenMesh::MergeTraits< _Traits1, _Traits2 >

Helper class to merge two mesh traits.

With the help of this class it's possible to merge two mesh traits. Whereby `_Traits1` overrides equally named symbols of `_Traits2`.

For your convenience use the provided defines `OM_Merge_Traits` and `OM_Merge_Traits_In_Template` instead.

See also
  OM_Merge_Traits, OM_Merge_Traits_In_Template

The documentation for this struct was generated from the following file:

- OpenMesh/Core/Mesh/Traits.hh